%define        pythonsip_ver  %(sip -V)

%define majver %(echo %version | cut -d. -f1-2)
Name:          PyQt5
Version:       5.15.8
Release:       1mamba
Summary:       Python bindings for the Qt5 cross platform GUI toolkit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.riverbankcomputing.com/software/pyqt
Source:        https://pypi.debian.net/PyQt5/PyQt5-%{version}.tar.gz
Patch3:        PyQt5-5.3.2-python-sip-4.16.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Location-devel
BuildRequires: libQt5Multimedia-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5RemoteObjects-devel
BuildRequires: libQt5Sensors-devel
BuildRequires: libQt5SerialPort-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5TextToSpeech-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libQt5WebSockets-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libQt5XmlPatterns-devel
BuildRequires: libdbus-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
BuildRequires: python3.7dist(pyqt5-sip)
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtconnectivity-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtquick3d-devel
BuildRequires: qt5-qttools-devel
## AUTOBUILDREQ-END
BuildRequires: chrpath
BuildRequires: libXcursor-devel
BuildRequires: libdbus-devel
## WARNING: do not parametrize python-sip-devel version or it will be useless for ports
BuildRequires: python-dbus-py3
BuildRequires: PyQt-builder-py3
BuildRequires: python-dbus-py310
BuildRequires: PyQt-builder-py310
BuildRequires: libqt5-devel >= %{majver}
#BuildRequires: python-dbus-devel
#%ifnarch arm
#BuildRequires: libQt5WebEngine-devel >= %{majver}
#%endif

%description
PyQt5 is a comprehensive set of Python bindings for Qt5 cross platform GUI toolkit.

# Dummy
%package QtDesigner
Summary:       QtDesigner support components for PyQt5
Group:         System/Libraries

%description QtDesigner
PyQt5 is a comprehensive set of Python bindings for Qt5 cross platform GUI toolkit.
This package contains the QtDesigner support components for PyQt5.

%if "0%{?with_pyver}" == "03"
%define py_requires_append \
Provides:      PyQt5 \
Obsoletes:     PyQt5 < 5.15.2 \
Provides:      PyQt5-devel \
Obsoletes:     PyQt5-devel < 5.15.2-2mamba \
Provides:      PyQt5-qmlplugin \
Obsoletes:     PyQt5-qmlplugin < 5.15.2-2mamba \
Requires:      python-dbus-py%{?with_pyver}
%else
%define py_requires_append \
Requires:      python-dbus-py%{?with_pyver}
%endif

%if 0%{?with_pyver}
%pyver_package

%package QtDesigner%{?with_pyver:-py%{pyver}}
Summary:       QtDesigner support components for PyQt5
Group:         System/Libraries
%if "0%{?with_pyver}" == "03"
Requires:      PyQt5%{?with_pyver:-py%{pyver}} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      PyQt5%{?with_pyver:-py%{pyver}}-QtDesigner
Obsoletes:     PyQt5%{?with_pyver:-py%{pyver}}-QtDesigner < 5.15.6
Provides:      PyQt5-QtDesigner
Obsoletes:     PyQt5-QtDesigner < 5.15.6
%endif

%description QtDesigner%{?with_pyver:-py%{pyver}}
PyQt5 is a comprehensive set of Python bindings for Qt5 cross platform GUI toolkit.
This package contains the QtDesigner support components for PyQt5.
%endif

%prep
%setup -q
#-D -T
#%patch3 -p1

%build
#:<< _EOF
sip-build-py%{with_pyver} \
  --confirm-license \
  --no-make \
  --api-dir %{_datadir}/qt5/qsci/api/python

cd build
make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build INSTALL_ROOT=%{buildroot}

# Fix documentation permissions
find examples/ -type f -exec chmod 0644 {} ';'

%if "0%{pyver}" != "03"
rm -f %{buildroot}%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%endif

for f in pylupdate5 pyrcc5 pyuic5; do
   mv %{buildroot}%{_bindir}/${f} %{buildroot}%{_bindir}/${f}-py%{with_pyver}
%if "0%{?with_pyver}" == "03"
   ln -s ${f}-py%{with_pyver} %{buildroot}%{_bindir}/${f}
%endif
done


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?with_pyver:py%{pyver}}
%defattr(-,root,root)
%{_bindir}/pylupdate5*
%{_bindir}/pyrcc5*
%{_bindir}/pyuic5*
%{python_sitearch}/dbus/mainloop/pyqt5.abi3.so
%dir %{python_sitearch}/PyQt5-%{version}.dist-info
%{python_sitearch}/PyQt5-%{version}.dist-info/*
%dir %{python_sitearch}/PyQt5
%{python_sitearch}/PyQt5/*
%exclude %{python_sitearch}/PyQt5/QtDesigner.abi3.so
%dir %{_qt5_plugindir}/PyQt5
%{_datadir}/qt5/qsci/api/python/PyQt5.api
%if "%{pyver}" == "3"
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%endif
%doc LICENSE*

%files QtDesigner%{?with_pyver:-py%{pyver}}
%defattr(-,root,root)
%{python_sitearch}/PyQt5/QtDesigner.abi3.so
%{_qt5_plugindir}/designer/*

%changelog
* Sat Jan 28 2023 Automatic Build System <autodist@mambasoft.it> 5.15.8-1mamba
- automatic version update by autodist

* Mon Jun 20 2022 Automatic Build System <autodist@mambasoft.it> 5.15.7-1mamba
- automatic version update by autodist

* Fri Apr 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.6-2mamba
- rebuilt with python 3.10 subpackage

* Sat Oct 30 2021 Automatic Build System <autodist@mambasoft.it> 5.15.6-1mamba
- automatic version update by autodist

* Mon Oct 18 2021 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Wed Feb 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- rebuilt with python-sip 6.0.1

* Wed Feb 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- update to 5.15.2

* Sat Oct 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.1-1mamba
- update to 5.15.1

* Mon Apr 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.14.2-5mamba
- require PyQt5-sip-py* package

* Sun Apr 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.14.2-4mamba
- fix other internal requirements

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.14.2-3mamba
- PyQt5-devel: remove requirement for PyQt5-QtDesigner

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.14.2-2mamba
- PyQt5-devel: require PyQt5-py3

* Fri Apr 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.14.2-1mamba
- update to 5.14.2

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.1-1mamba
- update to 5.13.1

* Wed Oct 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.0-1mamba
- update to 5.13.0

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.3-3mamba
- rebuilt with python3 3.7.4

* Fri Jul 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.3-2mamba
- package the qmlplugin apart to fix conflict between -py* packages

* Fri Dec 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.3-1mamba
- update to 5.11.3

* Sun Jan 18 2015 Automatic Build System <autodist@mambasoft.it> 5.4-1mamba
- automatic update by autodist

* Thu Nov 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.2-2mamba
- -py3 support

* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.2-1mamba
- update to 5.3.2

* Wed Dec 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.3-2mamba
- rebuilt with python-sip 4.15.3

* Mon Sep 30 2013 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.10.3-1mamba
- update to 4.10.3

* Thu Jul 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.2-1mamba
- update to 4.10.2

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.1-2mamba
- rebuilt with python 2.7

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- update to 4.10.1

* Thu Feb 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.6-1mamba
- update to 4.9.6

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Feb 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.6-1mamba
- update to 4.8.6
- move uic module to main package as requires by system-config-printer-kde
- added patch to fix build with Qt EGL enabled

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.5-2mamba
- added PyQt4-QtDesigner subpackage

* Sun Aug 21 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.8.5-1mamba
- update to 4.8.5

* Thu Jul 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.4-2mamba
- rebuilt with python-sip 4.12.3

* Wed May 18 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.8.4-1mamba
- update to 4.8.4

* Tue Mar 08 2011 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic update by autodist

* Sat Jan 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.1-2mamba
- rebuilt with python-sip 4.12

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic update by autodist

* Sat Oct 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8-2mamba
- rebuilt with libqt 4.7.0

* Thu Oct 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8-1mamba
- update to 4.8
- added string version requirement for python-sip

* Wed Jul 14 2010 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic update by autodist

* Wed May 05 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.7.3-1mamba
- update to 4.7.3

* Sun Apr 11 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.7.2-1mamba
- update to 4.7.2
- add missing %%defattr directive
- dropped patch for phonon: it was merged upstream

* Tue Mar 09 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.7-2mamba
- added devel package

* Thu Jan 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7-1mamba
- update to 4.7

* Tue Nov 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.1-1mamba
- update to 4.6.1

* Wed Aug 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.4-1mamba
- update to 4.5.4

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.4-3mamba
- added requirement for python-cups

* Fri Dec 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.4-2mamba
- rebuilt

* Mon Nov 10 2008 gil <puntogil@libero.it> 4.4.4-1mamba
- update to 4.4.4 with python 2.6

* Sun Oct 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-2mamba
- don't pass 'echo yes' but just 'yes' to accept license question

* Sat Oct 11 2008 gil <puntogil@libero.it> 4.4.3-1mamba
- update to 4.4.3

* Tue May 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3-2mamba
- repackaged with dbus support

* Fri May 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3-1mamba
- update to 4.3.3

* Fri Oct 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17.3-1mamba
- update to 3.17.3

* Mon Jul 10 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16-1qilnx
- update to version 3.16 by autospec

* Wed Mar 16 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.1-1qilnx
- package created by autospec
